import type { PageLoad } from './$types';

console.log(`ae_idaa_bulletin_board [root] +page.ts start`);

import { error } from '@sveltejs/kit';
import { browser } from '$app/environment';
import { posts_func } from '$lib/ae_posts/ae_posts_functions';

export const load = (async ({ params, parent }) => {
	// route
	const log_lvl: number = 1;

	const data = await parent();
	data.log_lvl = log_lvl;

	const account_id = data.account_id;
	const ae_acct = data[account_id];

	if (browser) {
		const load_post_obj_li = posts_func.load_ae_obj_li__post({
			api_cfg: ae_acct.api,
			for_obj_type: 'account',
			for_obj_id: account_id,
			// archive_on should be current datetime in ISO format
			// Date().toISOString()
			qry_archive_on: '2024-01-01', // (new Date()).toISOString(),
			inc_comment_li: true,
			enabled: 'enabled',
			hidden: 'not_hidden',
			limit: 19,
			order_by_li: { updated_on: 'DESC', created_on: 'DESC' },
			try_cache: true,
			log_lvl: log_lvl
		});
		if (log_lvl) {
			console.log(`load_post_obj_li = `, load_post_obj_li);
		}
		ae_acct.slct.post_obj_li = load_post_obj_li;
	}

	// WARNING: Precaution against shared data between sites and sessions.
	data[account_id] = ae_acct;

	return data;
}) satisfies PageLoad;
